{% extends 'base_fullwidth_leaflet.html' %}
{% load i18n %}
{% block title%}{{title}} | {{object.name}} - {{object.year}}{% endblock %} {% block content%}
<h1>
  <i class="{{ icon | safe }}"></i> {{ title | safe }} {{object.name}}
  ({{object.year}})
</h1>
<p class="text-muted">
  <small>Observation créée par <b>{{ object.created_by }}</b> le
    <b>{{ object.timestamp_create }}</b> {% if object.updated_by %}et mise à
    jour le <b>{{ object.timestamp_update }}</b> par
    <b>{{ object.updated_by }}</b> {% endif %}</small>
</p>
<div class="row">
  <div class="col-md-12 col-lg-4">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <i class="fa fa-info-circle fa-fw"></i>Fiche détaillée
        </h4>
      </div>
      <div class="panel-body">
        <h4>Informations générales</h4>
        <dl class="dl-horizontal">
          <dt>Identifiant unique</dt>
          <dd><code>{{object.uuid}}</code></dd>
          <dt>Nom</dt>
          <dd>{{object.name}}</dd>
          <dt>Année</dt>
          <dd>{{object.year}}</dd>
          <dt>Responsable</dt>
          <dd>{{object.project_manager.get_full_name}}</dd>
          <dt>Type d'étude</dt>
          <dd>{{object.type_etude}}</dd>
          <dt>Type d'espace</dt>
          <dd>{{object.type_espace}}</dd>
        </dl>
        <h4>Informations pratiques</h4>
        <dl class="dl-horizontal">
          <dt>Financement publique</dt>
          <dd>
            <span
              class="label label-{{ object.public_funding|yesno:'success,default'}}">{{object.public_funding|yesno:'Oui,Non,-'}}</span>
          </dd>
          <dt>Rapport rendu publique</dt>
          <dd>
            <span
              class="label label-{{ object.public_report|yesno:'success,default'}}">{{object.public_report|yesno:'Oui,Non,-'}}</span>
          </dd>
          <dt>Donnée brute publique</dt>
          <dd>
            <span
              class="label label-{{ object.public_raw_data|yesno:'success,default'}}">{{object.public_raw_data|yesno:'Oui,Non,-'}}</span>
          </dd>
          <dt>Confidentiel</dt>
          <dd>
            <span
              class="label label-{{ object.confidential|yesno:'success,default'}}">{{object.confidential|yesno:'Oui,Non,-'}}</span>
            {% if object.confidential_end_date %}(jusqu'au
            {{object.confidential_end_date}}){%endif%}
          </dd>
        </dl>
      </div>
    </div>
  </div>
  <div class="col-md-12 col-lg-8">
    <div id="StudyData" class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <select class="pull-right input-sm" v-model="dataSource">
            <option value="stats" default>Données générales</option>
            <option value="observations" default>Observations</option>
          </select>
          <i class="fas fa-clipboard-list fa-fw"></i>Données
        </h4>
      </div>
      <div v-if="loading" class="panel-body study-data-panel">
        <div align="center" style="height: 200px;">Chargement en cours...</div>
        <div id="spinner"></div>
      </div>
      <div v-else>
        <div v-if="dataSource=='stats'" class="panel-body">
          <div class="row" style="text-align:center;font-size:2rem;">
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-map-marked-alt fa-2x"></i><br>
                <span class="statCount">[[sightingData.length]]</span><br>
                <span class="statDesc text-muted"> localités</span><br>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-calendar-check   fa-2x "></i><br>
                <span class="statCount">[[sessions.length]]</span><br>
                <span class="statDesc text-muted"> sessions</span><br>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-check   fa-2x "></i><br>
                <span class="statCount">[[taxa.filter(e => e.sp_true).length]]</span><br>
                <span class="statDesc text-muted"> Espèces vraies</span><br>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-users fa-2x "></i><br>
                <span class="statCount">[[main_observers.length]]</span><br>
                <span class="statDesc text-muted"> Observateurs principaux</span><br>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-calendar-minus  fa-2x "></i><br>
                <span class="statCount">[[minDate]]</span><br>
                <span class="statDesc text-muted"> Date mini</span><br>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
              <div class="statBlock">
                <i class="text-muted fas fa-calendar-plus   fa-2x "></i><br>
                <span class="statCount">[[maxDate]]</span><br>
                <span class="statDesc text-muted"> Date max</span><br>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-xs-12 col-sm-4">
              <pie-chart :chart-data="chartData" :options="contactChartOptions"></pie-chart>
            </div>
            <div class="col-xs-12 col-sm-8">
              <ul class="list-unstyled">
                <li v-for="(t, i) in taxa"><span :class="{'text-muted':!t.sp_true}">[[t.common_name]]
                    (<i>[[t.sci_name]]</i>)</span> : <strong>[[t.value]]</strong> observations</li>
              </ul>
            </div>

          </div>
        </div>
        <div v-if="dataSource=='observations'" class="list-group scroll-y-auto study-data-panel">
          <session-group-item v-for=" (d, i) in sightingData" :data="d" :key="i">
          </session-group-item>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  const studyId = parseInt('{{object.pk}}')

  $(document).ready(() => {
    const vm = new Vue(studyDataApp(parseInt('{{object.pk}}')))
  })

</script>
{% endblock %}
